<ion-header>
  <ion-toolbar color="primary">
    <app-menu-toggle
      slot="start"
      menu="main-menu"
    ></app-menu-toggle>
    <ion-title>Lista de Tarefas</ion-title>
    <app-logout-button
      slot="end"
      menu="main-menu"
    ></app-logout-button>
  </ion-toolbar>
</ion-header>

<ion-content padding>

  <ion-list *ngIf="(tarefas$ | async) as tarefas">
    <ng-container *ngIf="tarefas.length > 0; else noTarefa">
      <app-item-tarefa
        *ngFor="let tarefa of tarefas"
        [tarefa]="tarefa"
        (update)="onUpdate($event)"
        (delete)="onDelete($event)"
        (done)="onDone($event)"
      ></app-item-tarefa>
    </ng-container>
    <ng-template #noTarefa>
      <ion-item lines="none">Não há tarefas...</ion-item>
    </ng-template>
  </ion-list>

  <ion-fab
    vertical="bottom"
    horizontal="end"
    slot="fixed"
  >
    <ion-fab-button
      routerLink="/tarefas/criar"
      routerDirection="forward"
    >
      <ion-icon name="add"></ion-icon>
    </ion-fab-button>
  </ion-fab>

</ion-content>
<ion-footer>
  <ion-toolbar>
    <ion-title>Tarefas não concluidas: {{qtTarefasFalse}}</ion-title>
  </ion-toolbar>
</ion-footer>
